## update-cluster 0.10

=== Makefile ===
all: update-cluster-parseconfig update-cluster-remove docs

update-cluster-parseconfig: update-cluster-parseconfig.o
	gcc -lexpat $< -o $@

update-cluster-remove: update-cluster-remove.o
	gcc -lexpat $< -o $@

%.o: %.c 
	gcc -c -O2 -Wall -o $@ $<

clean: 
	rm -f *~ *.bak *.o update-cluster-parseconfig update-cluster-remove
	cd Documentation; make clean

docs: 
	cd Documentation; make

install: update-cluster-parseconfig
	install -d $(DESTDIR)/usr/share/update-cluster
	install -d $(DESTDIR)/usr/lib/update-cluster
	install -d $(DESTDIR)/etc/update-cluster
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/usr/bin
	install -m 644 cluster.dtd $(DESTDIR)/usr/share/update-cluster/
	install -m 755 update-cluster-add $(DESTDIR)/usr/sbin
	install -m 755 update-cluster-parseconfig $(DESTDIR)/usr/bin
	install -m 755 update-cluster-remove $(DESTDIR)/usr/bin
	install -m 755 update-cluster-regenerate $(DESTDIR)/usr/sbin
	install -m 755 update-cluster-sample.updatelist $(DESTDIR)/usr/lib/update-cluster

=== Documentation/Makefile ===
PROJECT=update-cluster-policy.html update-cluster-policy.ps

all: ${PROJECT}

clean:
	rm -f ${PROJECT} *~ *.bak

%.html: %.sgml
	sgmltools -b onehtml $<

%.txt: %.sgml
	sgmltools -b txt $<

%.ps: %.sgml
	sgmltools -b ps $<

=== debian/changelog ===
update-cluster (0.10) unstable; urgency=low

  * added support for /etc/hosts, with update-cluster-hosts package.I
  * removed the spurious debian-changelog line at the end of
    the changelog.
  * fixing clean rule so that update-cluster-remove binary is cleaned

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Sep 2001 19:51:44 +0900

update-cluster (0.9) unstable; urgency=low

  * oops. Documentation/Makefile hada broken clean rule.
    fixed. The documentation should now be working.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 31 Aug 2001 03:34:43 +0900

update-cluster (0.8) unstable; urgency=low

  * Updating update-cluster documentation with lists of packages
    supporting.
  * Remove update-cluster policy txt format file, because it is not 
    really necessary, and w3m isn't available on some arches.
  * remove w3m build-dependency

 -- Junichi Uekawa <dancer@debian.org>  Fri, 31 Aug 2001 03:16:08 +0900

update-cluster (0.7) unstable; urgency=low

  * fixed policy documentation. Fixed some typos.
  * fixed broken build system for Documentation. Clean target did not clean...

 -- Junichi Uekawa <dancer@debian.org>  Mon, 20 Aug 2001 01:05:39 +0900

update-cluster (0.6) unstable; urgency=low

  * update-cluster-regenerates sets an env var
     CLUSTERXML to location of cluster.xml
  * checks for cluster.xml existence in postinst, and do not
    touch it if it already exists.
  * added a update-cluster-policy document.
  * added a note to README.Debian about an awk script to make
    update-cluster work non-destructively on config files.
  * fixed some debconf interface brokenness

 -- Junichi Uekawa <dancer@debian.org>  Sun, 19 Aug 2001 00:01:09 +0900

update-cluster (0.5) unstable; urgency=low

  * Fixed priority to extra.
  * update-cluster-remove takes blank options as valid option, and
    uses --help option to show help.
  * updated README.Debian to use update-cluster-remove as mpich example.
  * update-cluster-add now has a reformatting capability using update-cluster-remove.
  * a manual needs to stay as a manpage. Having the manual everywhere does
    NOT help updating it.
  * update-cluster-parseconfig gives an error and dies instead of
    emitting a !. It will break mpich 1.2.1-10
  * added error checking in update-cluster-regenerate so that it will first
    check for existence of /etc/update-cluster/cluster.xml
  * debconf interface does not write garbage when db_get fails.
  * updated README.Debian

 -- Junichi Uekawa <dancer@debian.org>  Wed,  8 Aug 2001 16:46:29 +0900

update-cluster (0.4) unstable; urgency=low

  * fixed typos introduced by NMU.
  * NMU fixed bugs should have been closed... Build-Depends was added,
    so (closes: #107268).
  * fixed several typographical mistakes in manpages.
      added backslash before all hyphens. Has it always required this?
  * added update-cluster-remove, and its manpage.

 -- Junichi Uekawa <dancer@debian.org>  Wed,  8 Aug 2001 00:35:19 +0900

update-cluster (0.3.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * postinst now uses debconf and generates a cluster.xml.
  * update-cluster-regenerate modified to do nothing by default.
  * Typos in update-cluster-regenerate.1 fixed and manpage updated.
  * update-cluster-add no longer calles update-cluster-regenerate as this
    might not be such a good idea after all.
  * A TODO is added.

 -- Viral <viral@debian.org>  Fri,  3 Aug 2001 11:27:15 +0530

update-cluster (0.3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Build-Depends fixed to include libexpat1-dev.
  * Debconf used to gather node information.
  * update-cluster-add gives help when an unmeaningful option is used.  
  * Small typo in update-cluster-parseconfig.1 fixed.

 -- Viral <viral@debian.org>  Fri,  3 Aug 2001 00:42:07 +0530

update-cluster (0.3) unstable; urgency=low

  * fix documentation.
  * update-cluster-add gives out a more helpful output when no
  option is given.
  * update-cluster-add.8 page is fixed of typos.
  * update-cluster-add supports --nfsroot option.
  update-cluster-add.8 has been updated, cluster.dtd has been updated
  * typo in cluster.dtd where notes was not optional was fixed
  * update-cluster-parseconfig outputs some help.
  * README.Debian has been updated a little bit.
  * added a note about update-cluster-parseconfig behavior in 
  update-cluster-parseconfig.1, that it outputs an ! when
  there is no data available.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 30 Jul 2001 00:26:27 +0900

update-cluster (0.2) unstable; urgency=low

  * archive format was wrong. reupload. (closes: #106886)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 29 Jul 2001 12:51:11 +0900

update-cluster (0.1) unstable; urgency=low

  * Initial Release. It fulfills my ITP: (closes: #106886)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Jul 2001 23:18:12 +0900

=== debian/control ===
Source: update-cluster
Section: admin
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 3.0.0), libexpat1-dev, sgmltools-lite, jadetex
Standards-Version: 3.5.2

Package: update-cluster
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: System to update configuration files for clusters automatically
 A management system to maintain a systemwide template configuration,
 update-cluster allows for uniform configuration of several 
 cluster-oriented software.
 .
 NOTE: Using this package may result in automatically overwriting 
 important configuration files. Be careful.

Package: update-cluster-hosts
Architecture: all
Depends: update-cluster
Description: System to update configuration files for clusters automatically
 A management system to maintain a systemwide template configuration,
 update-cluster allows for uniform configuration of several 
 cluster-oriented software.
 .
 This is a module used to configure /etc/hosts using 
 update-cluster infrastructure.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	head -1 debian/changelog | sed 's/^.*(\(.*\)).*$$/\1/' > Documentation/version.sgml	
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f Documentation/version.sgml

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/update-cluster.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/update-cluster
	# install the modules
	install -m 755 module-hosts/hosts.updatelist $(CURDIR)/debian/update-cluster-hosts/usr/lib/update-cluster/hosts.updatelist


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installcron
	dh_installman *.8 *.1
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
